<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="" />
    <meta name="author" content="CERPEG" />
    <link rel="shortcut icon" href="assets/ico/favicon.png" />
    <title>Remises</title>
    <link href='http://fonts.googleapis.com/css?family=Londrina+Shadow' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Carter+One' rel='stylesheet' type='text/css'>
    <link href="dist/css/bootstrap.css" rel="stylesheet" />
    <link href="dist/css/remise.css" rel="stylesheet" />
  </head>
  <body>
  <?php $remise = json_decode(stripslashes($_GET['remise'])); ?>
    <div class="contain" id="ch1">
        <!-- <div id="watermark">BAC G-A</div> -->
        <div class="col-md-12">
            <div class="media">
              <div class="pull-left">
                <a href="#"><img class="media-object" src="dist/img/<?php echo $remise->inputicobq; ?>" alt="Logo"></a>
              </div>
              <div class="pull-right">BORDEREAU DE REMISE DE CHEQUES<br /><div class="numremise"></div></div>
              <div class="media-body">
                <h4 class="media-heading"><?php echo $remise->inputnombanque; ?></h4>
                <p><?php echo $remise->inputadresse ; ?></p>
              </div>
            </div>
        </div>
        <div class="col-md-12">
              <table class="table table-bordered">
                  <tr class="active"><th width="25%">Émetteur</th><th width="25%">Banque</th><th width="25%">N° de chèque</th><th width="25%">Montant</th></tr>
                  <tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>
                  <tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>
                  <tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>
                  <tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>
                  <tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>
                  <tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>
                  <tr><td>Nb chèques</td><td>&nbsp;</td><td>TOTAL en €</td><td>&nbsp;</td></tr>
              </table>
        </div>
        <div class="col-md-12">
        <table class="table table-bordered">
            <tr class="active"><th width="25%">Bénéficiaire</th><th width="25%">N° de compte</th><th width="25%">Date</th><th width="25%">Signature</th></tr>
            <tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>
        </table>
        </div>
    </div>
    <script src="assets/js/jquery.js"></script>
    <script src="dist/js/bootstrap.js"></script>
  </body>
</html>
<script>
  $(document).ready(function($)
  {

    var nbch  = parseInt(<?php echo $remise->inputnbremise; ?>);
    var numremise = parseInt(calculcb(10));
    for (i = 0; i < nbch; i++)
    {   
      var copie = $('#ch1').clone();
      copie.find('.numremise').append(numremise + " ");
      copie.attr("id", "ch" + (i+2));
      copie.appendTo('body');
      numremise = numremise + 1;
    }
    $("#ch1").remove();
    //---------------------------------------------------------------------------------
    function calculcb(long)
    {
        var chars = "0123456789";
        var string_length = long;
        var gencb = '';
        for (var i=0; i<string_length; i++)
        {
            var rnum = Math.floor(Math.random() * chars.length);
            gencb += chars.substring(rnum,rnum+1);
        }
        return gencb;   
    }
    //---------------------------------------------------------------------------------
    
});

</script>

